<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DETAIL PINJAMAN ANGGOTA {{name ? '( ' + name + ' )' : ''}}</h4>
        </div>
        <div class="card-body">
          <div>
            <div class="row">
              <div class="col-sm-10"></div>
              <div class="col-sm-2 mr-0">
                <button (click)="backClicked()" class="pull-right btn btn-outline-success btn-block font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
              </div>
            </div>
          </div><br>
          <!--<div class="pull-right" *ngIf="dataUser.role==='ADM'">-->
            <!--<button class="btn btn-success" data-toggle="modal" (click)="gotoNew(1);">-->
              <!--<i class="icon-plus"></i> Tambah Angsuran</button>-->
          <!--</div><br><br>-->
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-4">
                  <table>
                    <tbody>
                    <tr>
                      <td>Tanggal Pengajuan</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.tanggalPengajuan | date: 'dd MMM yyyy' }}</td>
                    </tr>
                    <tr>
                      <td>Tanggal Pencairan</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.tanggalPinjaman | date: 'dd MMM yyyy' }}</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
                <div class="col-sm-4">
                  <table>
                    <tbody>
                    <tr>
                      <td>Jenis Pinjaman</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.tipePengajuan }} {{dataPinjaman.namaBarang ? ' - ' + dataPinjaman.namaBarang  : ''}}</td>
                    </tr>
                    <tr>
                      <td>Nominal</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.nominalPinjaman | number }}</td>
                    </tr>
                  </table>
                </div>
                <div class="col-sm-4">
                  <table>
                    <tbody>
                    <tr>
                      <td>Lama Angsuran</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.lamaAngsuran }} Bulan</td>
                    </tr>
                    <tr>
                      <td>Sisa Angsuran</td>
                      <td class="p-2">:</td>
                      <td>{{ sisaPinjaman | number }}</td>
                    </tr>
                  </table>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <table>
                    <tbody>
                    <tr>
                      <td>Keperluan</td>
                      <td class="p-2">:</td>
                      <td>{{ dataPinjaman.keterangan }}</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="listAngsuran | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 1%" (click)="sort('angsuranKe')">Angsuran Ke-
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'angsuranKe',
                                    'fa-sort-asc': (column == 'angsuranKe' && isDesc),
                                    'fa-sort-desc': (column == 'angsuranKe' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%" (click)="sort('tanggalJatuhTempo')">Tgl. Jatuh Tempo
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalJatuhTempo',
                                    'fa-sort-asc': (column == 'tanggalJatuhTempo' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalJatuhTempo' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('angsuranPokok')">Angsuran Pokok
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'angsuranPokok',
                                    'fa-sort-asc': (column == 'angsuranPokok' && isDesc),
                                    'fa-sort-desc': (column == 'angsuranPokok' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('nominalBunga')">Bagi Hasil
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalBunga',
                                    'fa-sort-asc': (column == 'nominalBunga' && isDesc),
                                    'fa-sort-desc': (column == 'nominalBunga' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('biayaAdmin')">Administrasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'biayaAdmin',
                                    'fa-sort-asc': (column == 'biayaAdmin' && isDesc),
                                    'fa-sort-desc': (column == 'biayaAdmin' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('totalBayar')">Nilai Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'totalBayar',
                                    'fa-sort-asc': (column == 'totalBayar' && isDesc),
                                    'fa-sort-desc': (column == 'totalBayar' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalBayar')">Tgl. Bayar
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalBayar',
                                    'fa-sort-asc': (column == 'tanggalBayar' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalBayar' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('nominalAngsuran')">Jumlah Bayar
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalAngsuran',
                                    'fa-sort-asc': (column == 'nominalAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'nominalAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle"  style="width: 3%" (click)="sort('status')">Status
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'status',
                                    'fa-sort-asc': (column == 'status' && isDesc),
                                    'fa-sort-desc': (column == 'status' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle"  style="width: 3%" *ngIf="dataUser.role==='ADM'">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listAngsuran || listAngsuran.length===0 || list.length===0">
              <tr>
                <td colspan="10" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <!--<td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>-->
                <td>{{ data.angsuranKe }}</td>
                <td>{{ data.tanggalJatuhTempo | date: 'dd MMM yyyy' }}</td>
                <td>{{ data.angsuranPokok | number}}</td>
                <td>{{ data.nominalBunga | number}}</td>
                <td>{{ data.biayaAdmin | number}}</td>
                <td>{{ data.totalBayar | number}}</td>
                <td>{{ data.tanggalBayar | date: 'dd MMM yyyy'}}</td>
                <td>{{ data.nominalAngsuran | number}}</td>
                <td>{{ data.status }}</td>

                <td *ngIf="dataUser.role==='ADM'">
                  <button [disabled]="data.status!=='NEW'" class="btn btn-success btn-sm ml-1" (click)="setSelectedAngsuran(data); setDataAngsuran(); confirmBayarModal.show();"><i class="fa fa-money"></i> Bayar</button>
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="list.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>



<div bsModal #confirmBayarModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmBayarModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi Pembayaran</h4>
        <button type="button" class="close" (click)="confirmBayarModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <!--<div class="col-sm-12">-->
                <!--<label class="col-form-label">Angsuran Ke</label>-->
                <!--<div class="input-group">-->
                  <!--<select class="form-control" formControlName="angsuranKe">-->
                    <!--<option value="" disabled>Pilih Angsuran Ke</option>-->
                    <!--<option *ngFor="let row of listLamaAngsuran" value="{{row}}">Angsuran Ke-{{row}}</option>-->
                  <!--</select>-->
                <!--</div>-->
              <!--</div>-->
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Bayar</label>
                <input class="form-control" id="tanggalBayar" type="date" placeholder="date" formControlName="tanggalBayar">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nilai Angsuran</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.totalBayar.value}}"
                         placeholder="Total Bayar" formControlName="totalBayar">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jumlah Bayar</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalAngsuran.value}}"
                         placeholder="Nominal Angsuran" formControlName="nominalAngsuran">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Untuk Kas</label>
                <select class="form-control" (change)="setKeterangan();" formControlName="kodeUntukKas">
                  <option value="" disabled>Pilih Kas</option>
                  <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                  <!--<option value="TUNAI">Kas Tunai</option>-->
                  <!--<option value="MANDIRI">Bank Mandiri</option>-->
                  <!--<option value="BCA">Bank BCA</option>-->
                  <!--<option value="BRI">Bank BRI</option>-->
                </select>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmBayarModal.hide()">Batal</button>
        <button type="button" class="btn btn-success" (click)="confirmBayarModal.hide(); submitAngsuran()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Simpan</button>
      </div>
    </div>
  </div>
</div>

